hack_array.h File Reference

Go to the source code of this file.

## Classes

struct | hack_array_iterator< T, Ref, Ptr, Raw, RawIterator >
class | hack_array_seq_rep< T, A >
class | hack_array_mpi_rep< T, A >
struct | hack_array_mpi_rep< T, A >::dis_reference
struct | hack_array_mpi_rep< T, A >::message_type
class | hack_array< T, M, A >
class | hack_array< T, sequential, A >
class | hack_array< T, distributed, A >

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

template<class T , class A >
idiststream & | operator>> (idiststream &ips, hack_array< T, sequential, A > &x)
template<class T , class A >
odiststream & | operator<< (odiststream &ops, const hack_array< T, sequential, A > &x)
template<class T , class A >
idiststream & | operator>> (idiststream &ips, hack_array< T, distributed, A > &x)
template<class T , class A >
odiststream & | operator<< (odiststream &ops, const hack_array< T, distributed, A > &x)